Package org.pushingpixels.flamingo.api.ribbon

# Class RibbonTask

java.lang.Object
org.pushingpixels.flamingo.api.ribbon.RibbonTask

public class RibbonTask extends Object
Single ribbon task in `JRibbon`. This is a logical entity that groups `AbstractRibbonBand` components.

## Constructor Summary

Constructors
Constructor
Description
`RibbonTask(String title, AbstractRibbonBand<?>... bands)`
Creates a ribbon task that contains the specified bands.

## Method Summary

Modifier and Type
Method
Description
`AbstractRibbonBand<?>`
`getBand(int index)`
Returns band at the specified index from `this` task.
`int`
`getBandCount()`
Returns the number of bands in `this` task.
`List<AbstractRibbonBand<?>>`
`getBands()`
Returns an unmodifiable view on the ribbon bands of this task.
`RibbonContextualTaskGroup`
`getContextualGroup()`
Returns the contextual task group for this ribbon task.
`String`
`getKeyTip()`
Returns the key tip for the task button of this task.
`RibbonBandResizeSequencingPolicy`
`getResizeSequencingPolicy()`
Returns the current resize sequencing policy of this ribbon task.
`String`
`getTitle()`
Returns the title of this task.
`void`
`setKeyTip(String keyTip)`
Sets the specified parameter to be the new key tip for the task button of this task.
`void`
`setResizeSequencingPolicy(RibbonBandResizeSequencingPolicy resizeSequencingPolicy)`
Sets the specified parameter as the new resize sequencing policy of this ribbon task.
`void`
`setTitle(String title)`
Changes the title of this ribbon task.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RibbonTask

public RibbonTask(String title, AbstractRibbonBand<?>... bands)
Creates a ribbon task that contains the specified bands.

Parameters:
  `title` - Ribbon task title.
  `bands` - Bands to add to the ribbon task.

## Method Details

### getBandCount

public int getBandCount()
Returns the number of bands in `this` task.

Returns:
  Number of bands in `this` task.
See Also:
  - `getBand(int)`
  - `getBands()`

### getBand

public AbstractRibbonBand<?> getBand(int index)
Returns band at the specified index from `this` task.

Parameters:
  `index` - Band index.
Returns:
  Band at the specified index.
See Also:
  - `getBandCount()`
  - `getBands()`

### getTitle

public String getTitle()
Returns the title of this task.

Returns:
  The title of this task.

### getContextualGroup

public RibbonContextualTaskGroup getContextualGroup()
Returns the contextual task group for this ribbon task. Will return `null` for general ribbon tasks.

Returns:
  The contextual task group for this ribbon task.

### getBands

public List<AbstractRibbonBand<?>> getBands()
Returns an unmodifiable view on the ribbon bands of this task.

Returns:
  Unmodifiable view on the ribbon bands of this task.
See Also:
  - `getBandCount()`
  - `getBand(int)`

### setTitle

public void setTitle(String title)
Changes the title of this ribbon task.

Parameters:
  `title` - The new title for this ribbon task.

### getResizeSequencingPolicy

public RibbonBandResizeSequencingPolicy getResizeSequencingPolicy()
Returns the current resize sequencing policy of this ribbon task.

Returns:
  The current resize sequencing policy of this ribbon task.
See Also:
  - `setResizeSequencingPolicy(RibbonBandResizeSequencingPolicy)`

### setResizeSequencingPolicy

public void setResizeSequencingPolicy(RibbonBandResizeSequencingPolicy resizeSequencingPolicy)
Sets the specified parameter as the new resize sequencing policy of this ribbon task.

Parameters:
  `resizeSequencingPolicy` - The new resize sequencing policy of this ribbon task.
See Also:
  - `getResizeSequencingPolicy()`

### getKeyTip

public String getKeyTip()
Returns the key tip for the task button of this task.

Returns:
  The key tip for the task button of this task.
See Also:
  - `setKeyTip(String)`

### setKeyTip

public void setKeyTip(String keyTip)
Sets the specified parameter to be the new key tip for the task button of this task.

Parameters:
  `keyTip` - The new key tip for the task button of this task.